<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
$tipo_libro = $_GET['tipo_libro'];
include("../conex.php");

/********************************** Datos Empresa *********************************************************************/
	$sql_empresa = "SELECT * FROM empresa, comunas WHERE comunas.cod_comuna = empresa.comuna AND id=$id_empresa";
	$res_empresa = mysql_query($sql_empresa,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_empresa))
		{
		$empresa_rut=mysql_result($res_empresa, $row, "rut_empresa");
		$empresa_nombre=mysql_result($res_empresa, $row, "nombre");
		$empresa_direccion=mysql_result($res_empresa, $row, "direccion");
		$empresa_ciudad=mysql_result($res_empresa, $row, "ciudad");
		$empresa_comuna=mysql_result($res_empresa, $row, "comunas.comuna");
		$empresa_actividad=mysql_result($res_empresa, $row, "actividad");
		$empresa_rut_representante=mysql_result($res_empresa, $row, "rut_representante");
		$empresa_nombre_representante=mysql_result($res_empresa, $row, "nombre_representante");
		$row=$row+1;
		}

if (empty($txtfecha)){$txtfecha = date('d')."/".date('m')."/".date('Y');}		
?>
<!DOCTYPE html>
<html>
<head>
	<title>Subir DTE SII</title>
	<script language="JavaScript" src="../css/cal.js" type="text/JavaScript"></script>
	<style>
		body{
			margin-bottom:150px;
		}
	</style>
</head>
<body>
<table width="640" align="center" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td width="60px"><div align="center"><img src="../Images/logo.gif" width="60px" height="60px"></div></td>
	<td width="580px"><div align="left"><font size="1">
		<?=$empresa_nombre?><br>
		<?=$empresa_direccion?><br>
		<?=$empresa_ciudad;?>
        <?=$empresa_rut;?>
		</font></div>
	</td>
    <td width="20%">&nbsp;</td>
  </tr>
</table>
<div align="center">
<h1>Subir DTE <? if($tipo_libro=='S'){echo "Venta";}else{echo "Compra";} ?> SII</h1>
<form name="form1" id="form1" action="" method="post" enctype="multipart/form-data">
     <input type="hidden" name="limite" value="500000" >
	 <p><input name="txtfecha" id="txtfecha" type="text" value="<?=$txtfecha?>" size="10" readonly="1">
			<a href="javascript:show_calendar('form1.txtfecha');"><img name="foto2" id="foto2" align="top" border="0" src="../Images/CALENDAR.gif" style="cursor:pointer" title="Presione aqui y seleccione la fecha" /></a>
		<input type="file" name="archivo"></p>
     <p><input type="submit" name="submit" value="Ver DTE"></p>
</form>
</div>
<?php
if(isset($_POST['submit'])){
	if(!empty($archivo)){
	
        $fname = $_FILES['archivo']['name'];
        //echo 'Cargando nombre del archivo: '.$fname.' <br>';
		
		$rut_empresa_receptor=getPuntosRut(substr($fname, 20, -11));
		echo $rut_empresa_receptor."------".$empresa_rut;
		
		if($rut_empresa_receptor==$empresa_rut){
		
        $chk_ext = explode(".",$fname);
 
        if(strtolower(end($chk_ext)) == "csv"){
            $filename = $_FILES['archivo']['tmp_name'];
            $handle = fopen($filename, "r");
			
			echo "<form name='envia_libro' method='post' action='guarda_libro.php' onsubmit='return enviar();'>
				  <table name='libro_banco' align='center' border='0' cellspacing='0' cellpadding='0'>
					<tr>
						<td>Compra</td>
						<td>Rut Proveedor</td>
						<td>Tipo Doc</td>
						<td>Folio</td>
						<td>Fecha Recepcion</td>
						<td>Total</td>
					</tr>";
			$num_total_movimientos=0;	
			$total_total=0;				
            while (($data = fgetcsv($handle, 1000, ";")) !== FALSE){
				if(is_numeric($data[0])) {
					echo "<tr>";
					echo "<td><input type='text' name='tipo[]' value='".$data[2]."' readonly> ";
					echo "<td><input type='text' name='rut_proveedor[]' value='".getPuntosRut($data[3])."' readonly> ";
					echo "<td style='display:none'><input type='text' name='razon_social[]' value='".$data[4]."' readonly> ";
					echo "<td><input type='text' name='tipo_doc[]' value='".$data[1]."' readonly> ";
					echo "<td><input type='text' name='folio[]' value='".$data[5]."' readonly> ";
					echo "<td style='display:none'><input type='text' name='fecha_dcto[]' value='".$data[6]."' readonly> ";
					echo "<td><input type='text' name='fecha_recep[]' value='".$data[7]."' readonly> ";
					echo "<td style='display:none'><input type='text' name='fecha_acuse[]' value='".$data[8]."' readonly> ";
					echo "<td style='display:none'><input type='text' name='exento[]' value='".$data[9]."' readonly> ";
					echo "<td style='display:none'><input type='text' name='neto[]' value='".$data[10]."' readonly> ";
					echo "<td style='display:none'><input type='text' name='iva[]' value='".$data[11]."' readonly> ";
					echo "<td style='display:none'><input type='text' name='iva_no_recuperable[]' value='".$data[12]."' readonly> ";
					echo "<td style='display:none'><input type='text' name='cod_iva_no_recuperable[]' value='".$data[13]."' readonly> ";
					echo "<td><input type='text' name='total[]' value='".$data[14]."' readonly> ";
					echo "<td style='display:none'><input type='text' name='impuesto_sin_derecho_credito[]' value='".$data[18]."' readonly> ";
					echo "<td style='display:none'><input type='text' name='valor_impuesto[]' value='".$data[25]."' readonly> ";
					echo "<td style='display:none'><input type='text' name='tipo_libro[]' value='".$tipo_libro."' readonly> ";
					echo "</tr>";
					$total_total=$total_total+$data[14];
					$num_total_movimientos++;
				}
            }
            fclose($handle);
			?>	
				</table>
				<br>
				<table align="center" id="final">
					<tr>
						<td style="display:none"><input name='fecha' value='<?=$txtfecha?>' readonly> 
						<td>Total DTE SII<input name='num_total_movimientos' value='<?=$num_total_movimientos?>' readonly> 
						<td><input type="submit" name="libro_banco" value="Guardar Libro DTE SII"></td>
						<td>Total <input name="asdassdad" value="<?=$total_total?>"></td>
					</tr>
				</table>
			</form>
			<?php
        }else{
            echo "Archivo invalido!";
        }	  
	  }else{
		  ?>
		  <script>
		  alert('Libro no corresponde al rut de la empresa!');
		  </script>
		  <?
	  }
	}
}
function getPuntosRut( $rut ){
	$rutTmp = explode( "-", $rut );
	return number_format( $rutTmp[0], 0, "", ".") . '-' . $rutTmp[1];
}
?>
</body>
</html>
<script language="JavaScript"> 
function enviar(){
	if (confirm('¿Esta seguro de que desea traspasar DTE SII a libro de compra?')){ 
        document.form2.submit();
		return true;
    }else{
		return false;
	} 
}
</script>
